-
62b717b75e
hush: implement "wait %jobspec"
Denys Vlasenko
2016-11-07 22:12:18 +01:00
-
4e1c8b4f6a
hush: factor out %jobspec parsing
Denys Vlasenko
2016-11-07 20:06:40 +01:00
-
5d5a611df2
hush: comment fix
Denys Vlasenko
2016-11-07 19:36:50 +01:00
-
4224647c8d
hush: do not allow sh -c '{ echo boo }'
Denys Vlasenko
2016-11-07 16:22:35 +01:00
-
46443a383c
cpio: add ownership (-R) test cases
Aaro Koskinen
2016-11-03 00:25:05 +02:00
-
aeaee43d5a
hush: case logic for setting $? was still wrong
Denys Vlasenko
2016-11-04 20:14:04 +01:00
-
30bfcf612b
hush: non-matching "case" statement sets $? to 0
Denys Vlasenko
2016-11-04 18:52:48 +01:00
-
672a55e606
hush: allow { cmd } to not be terminated by semicolon in some cases
Denys Vlasenko
2016-11-04 18:46:14 +01:00
-
06b114900f
ash: fix "duplicate local" code (forgot to re-enable interrupts)
Denys Vlasenko
2016-11-04 16:43:18 +01:00
-
834aba3b72
comment and readme updates
Denys Vlasenko
2016-11-04 14:13:58 +01:00
-
79e2598c48
su: expand help; simplify passing of -c CMD to run_shell()
Denys Vlasenko
2016-11-03 22:13:08 +01:00
-
2b288236e8
loadfont: 32k size limit is not enough
Denys Vlasenko
2016-11-03 20:57:37 +01:00
-
1ab7c2fc6d
ash: while (!got_sig) pause() is not reliable, use sigsuspend()
Denys Vlasenko
2016-11-03 20:17:23 +01:00
-
2e6af54971
man: remove -Tascii from nroff invocation
Denys Vlasenko
2016-10-31 14:05:34 +01:00
-
7c3c92c533
man: make width selection more thorough; explain how to override it
Denys Vlasenko
2016-10-31 01:52:18 +01:00
-
a92a74961d
man: allow nroff and tbl commands be overridden; unmangle writing to files
Denys Vlasenko
2016-10-30 22:31:30 +01:00
-
d4f3db9427
ash: if using libc glob(), skip it if no metachars are in word
Denys Vlasenko
2016-10-30 18:41:01 +01:00
-
474ed06c39
ash: fix bit-rotten debug infrastructure
Denys Vlasenko
2016-10-30 18:30:29 +01:00
-
493b9cae80
ash: make popfile() anfter popallfiles() safe
Denys Vlasenko
2016-10-30 18:27:14 +01:00
-
9db74e49e5
hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?"
Denys Vlasenko
2016-10-28 22:39:12 +02:00
-
7e6753609d
hush: fix "wait PID"
Denys Vlasenko
2016-10-28 21:57:31 +02:00
-
8f7b0248ad
ash: use pause(), not sigsuspend(), in wait builtin
Denys Vlasenko
2016-10-28 17:16:11 +02:00
-
d81e9f5093
ash: fix interactive "command eval STRING" exiting on errors.
Denys Vlasenko
2016-10-28 15:43:50 +02:00
-
458c1f218b
ash: [JOBS] Fix dowait signal race
Denys Vlasenko
2016-10-27 23:51:19 +02:00
-
c0663c7cd2
ash: [SIGNAL] Remove EXSIG
Denys Vlasenko
2016-10-27 21:09:01 +02:00
-
6918811014
ash: open-code blocking_dowait_with_raise_on_sig()
Denys Vlasenko
2016-10-27 20:18:18 +02:00
-
b543bdadb3
ash: return to DOWAIT_* constants similar to dash, no logic changes
Denys Vlasenko
2016-10-27 20:08:28 +02:00
-
3f44a6be58
ash: delete leftovers from "simplify EOF/newline handling in list parser" commit
Denys Vlasenko
2016-10-27 14:49:21 +02:00
-
5ac04f2f02
ash: [EXPAND] Fix ifsfirst/ifslastp leak
Denys Vlasenko
2016-10-27 14:46:50 +02:00
-
455e422814
ash: move ifsbreakup() and ifsfree() up
Denys Vlasenko
2016-10-27 14:45:13 +02:00
-
b4f51d32d2
ash: partially sync with dash on "fork if traps are set" logic
Denys Vlasenko
2016-10-27 12:55:09 +02:00
-
2eb0a7e1b9
ash: [SHELL] Expand ENV before using it
Denys Vlasenko
2016-10-27 11:28:59 +02:00
-
70392331a9
ash: comment tweaks, no code changes
Denys Vlasenko
2016-10-27 02:31:55 +02:00
-
65a8b859a9
ash: optimize tryexec(): avoid one allocation
Denys Vlasenko
2016-10-26 22:29:11 +02:00
-
0e081d01a8
ash: [CD] Lookup PWD after going through CDPATH
Denys Vlasenko
2016-10-26 19:56:05 +02:00
-
a318bba199
ash: [MEMALLOC] Made grabstackblock an inline wrapper for stalloc
Denys Vlasenko
2016-10-26 18:26:27 +02:00
-
dbef38a74b
ash: [VAR] Remove setvarsafe
Denys Vlasenko
2016-10-26 17:54:32 +02:00
-
35c2a136cd
ash: use shellparam.optind/optoff in getopts() directly, not through pointers
Denys Vlasenko
2016-10-26 17:34:26 +02:00
-
3df1410a00
ash: [PARSER] Size optimisations in parameter expansion parser
Denys Vlasenko
2016-10-26 16:41:13 +02:00
-
350e686f3b
ash: [PARSER] Recognise here-doc delimiters terminated by EOF
Denys Vlasenko
2016-10-26 16:26:45 +02:00
-
f15aa57a7f
ash: [PARSER] Fix parsing of ${##1}
Denys Vlasenko
2016-10-26 15:56:53 +02:00
-
e19923f665
ash: [REDIR] Remove redundant CLOEXEC calls
Denys Vlasenko
2016-10-26 15:38:44 +02:00
-
647746076a
ash: [REDIR] Replace copyfd by savefd and use dup2 elsewhere
Denys Vlasenko
2016-10-26 15:24:30 +02:00
-
4135a75ab0
typo fixes
Denys Vlasenko
2016-10-26 13:15:35 +02:00
-
a513bf3c3c
ash: [BUILTIN] Treat OPTIND=0 in the same way as OPTIND=1
Denys Vlasenko
2016-10-26 02:03:37 +02:00
-
88e15703ac
ash: [PARSER] Report substition errors at expansion time
Denys Vlasenko
2016-10-26 01:55:56 +02:00
-
eaf9436b08
ash: [REDIR] Move null redirect checks into caller
Denys Vlasenko
2016-10-25 21:46:03 +02:00
-
2a6d29ad5c
ash: [PARSER] Do not show prompts in expandstr
Denys Vlasenko
2016-10-25 21:17:52 +02:00
-
579ad107a6
ash: [EXPAND] Removed herefd hack
Denys Vlasenko
2016-10-25 21:10:20 +02:00
-
caee80cd3d
ash: [SHELL] Move flushall to the point just before _exit
Denys Vlasenko
2016-10-25 20:49:53 +02:00
-
7aec86820d
ash: [EVAL] Let funcnode refer to a function definition, not its first command
Denys Vlasenko
2016-10-25 20:26:02 +02:00
-
20a2cd6291
ash: [REDIR] Remove EMFILE special case
Denys Vlasenko
2016-10-25 19:04:39 +02:00
-
cf98b0c085
ash: [EVAL] Check exit for eval NSUBSHELL
Denys Vlasenko
2016-10-25 18:19:39 +02:00
-
960ca385b7
ash: add comment explaining "set -e; $(cmd)" discrepancy
Denys Vlasenko
2016-10-25 18:12:15 +02:00
-
6a94cee409
ash: reduce code differences from upstream
Denys Vlasenko
2016-10-25 17:40:25 +02:00
-
1825e4f935
ash: remove unused EXSHELLPROC
Denys Vlasenko
2016-10-25 17:26:56 +02:00
-
061a09091f
ash: [BUILTIN] Use EXEXIT in place of EXEXEC
Denys Vlasenko
2016-10-25 17:24:25 +02:00
-
b7adf7ac32
ash,hush: set exit code 127 in "sh /does/not/exist" case
Denys Vlasenko
2016-10-25 17:00:13 +02:00
-
f11c6989ba
udhcpc: check read of overload option data byte to be within packet
Denys Vlasenko
2016-10-25 14:25:52 +02:00
-
f9beeb22e2
udhcpc: check read of option length byte to be within packet
Brian Foley
2016-10-25 14:20:55 +02:00
-
69312e87b0
strings: implement -t radix
Tito Ragusa
2016-10-24 21:52:10 +02:00
-
db74c6caed
ash: explain EXP_REDIR and why we (dont) glob redir filenames
Denys Vlasenko
2016-10-24 21:12:33 +02:00
-
61d5997b58
awk: fix segfault on for loop syntax error
Brian Foley
2016-10-15 14:45:40 +01:00
-
1336052a49
lineedit: fix completion with applet names. closes 9361
Denys Vlasenko
2016-10-24 01:25:05 +02:00
-
5ccb0e92fa
ash: return exit status of nofork applets
Ron Yorston
2016-10-20 12:24:02 +01:00
-
6bbb48fadf
examples: update var_service/README again
Denys Vlasenko
2016-10-14 19:02:11 +02:00
-
e43000f2d4
typo fixes in doc
Denys Vlasenko
2016-10-14 18:48:05 +02:00
-
93ff2b4b5f
examples: update var_service/README again
Denys Vlasenko
2016-10-14 18:38:08 +02:00
-
ee2d19445b
examples: update var_service/README
Denys Vlasenko
2016-10-14 18:22:50 +02:00
-
662634b829
telnetd: ifdef out a buggy error handling code path
Denys Vlasenko
2016-10-13 16:17:06 +02:00
-
85100a7067
cpio: fix restoration of file ownership, closes 9306
Denys Vlasenko
2016-10-12 20:56:46 +02:00
-
57727d478d
telnet: code shrink
Denys Vlasenko
2016-10-12 20:42:58 +02:00
-
26d88d6bbd
telnetd: add another handshake example in comments, no code changes
Denys Vlasenko
2016-10-12 20:09:22 +02:00
-
b6d421b635
telnetd: treat all 2-byte IACs in 240..249 range as NOPs.
Denys Vlasenko
2016-10-12 19:41:33 +02:00
-
122c47ac02
telnetd: fix corner case of input processing of 0xff bytes
Denys Vlasenko
2016-10-12 19:13:46 +02:00
-
0190c41bb2
telnetd: fix a corner case where CRLF->CR translation can misbehave
Denys Vlasenko
2016-10-12 17:36:57 +02:00
-
2a54b3e86e
telnetd: fix handling of short writes to pty
Denys Vlasenko
2016-10-12 14:54:10 +02:00
-
713b513353
more: accept and ignore a bunch of options
Denys Vlasenko
2016-10-11 15:29:38 +02:00
-
3720a61daf
ifupdown: rewrite state file atomically
Denys Vlasenko
2016-10-09 23:04:16 +02:00
-
ec1ea16337
tcpsvd: don't keep shared fd open if fd limit is reached. closes 9331
Denys Vlasenko
2016-10-07 15:56:47 +02:00
-
561639a68c
ash: all blocks in function node copying must be SHELL_ALIGNed
Denys Vlasenko
2016-10-07 04:28:33 +02:00
-
d43be87591
ash testsuite: fix false positives
Denys Vlasenko
2016-10-07 04:07:05 +02:00
-
4c438b5ba4
ash: get rid of two global data variables
Denys Vlasenko
2016-10-07 04:05:15 +02:00
-
f37e1155aa
ash: comment out free(p) just before _exit, tweak some outdated comments
Denys Vlasenko
2016-10-07 03:17:28 +02:00
-
2972e2c4ac
wget: there is no -s option in GNU Wget 1.18, we should be compatible
Denys Vlasenko
2016-10-04 04:23:09 +02:00
-
a85740c8af
dhcp: merge leases.c and static_leases.c into dhcpd.c
Denys Vlasenko
2016-10-04 00:51:38 +02:00
-
d2ae66cb3e
dhcp: merge most of static_leases.c into dhcpd.c
Denys Vlasenko
2016-10-04 00:43:14 +02:00
-
2bf2931d52
dhcp: merge files.c into dhcpd.c
Denys Vlasenko
2016-10-04 00:37:50 +02:00
-
095ddf7669
examples: add example of a DHCP server
Denys Vlasenko
2016-10-03 23:43:44 +02:00
-
7f0ebbc69e
hush: add commented-out debug printouts in "memleak" built-in
Denys Vlasenko
2016-10-03 17:42:53 +02:00
-
a769390da6
hush: fix a memory corruption when exported variable is modified
Denys Vlasenko
2016-10-03 15:01:06 +02:00
-
04465dad66
hush: fix exitcode on exec failure with EACCES - should be 126
Denys Vlasenko
2016-10-03 01:01:15 +02:00
-
c775f829db
sh testsuite: add tests for exitcode on failure to exec
Denys Vlasenko
2016-10-03 00:55:34 +02:00
-
2feaa227a4
shell: delete all msh tests
Denys Vlasenko
2016-10-03 00:51:29 +02:00
-
9793fc576a
hush testsuite: fix another false positive
Denys Vlasenko
2016-10-03 00:14:26 +02:00
-
d3b4e5ec6a
hust testsuite: fix a false positive
Denys Vlasenko
2016-10-03 00:10:20 +02:00
-
a62bc80571
ash testsuite: add most of hust tests which pass for ash
Denys Vlasenko
2016-10-03 00:06:55 +02:00
-
ce332a23a3
ash: [PARSER] Add nlprompt/nlnoprompt helpers
Denys Vlasenko
2016-10-02 23:47:34 +02:00
-
80729a4472
whitespace fixes
Denys Vlasenko
2016-10-02 22:33:15 +02:00
-
db7f4c203b
hush: add var4.tests, var5.tests
Denys Vlasenko
2016-10-02 21:13:13 +02:00